List of sensors

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns a list of sensors. The result can be restricted by providing one or more filters.
Some examples below:

  • All sensors that have the tag "handbags" and are located in Portland, OR.
curl -X GET --user "application_id:application_secret" -H "Accept: application/json"  https://api.lumenpath.com//api/sensor/list/?city=Portland\&state=oregon\&tag=handbags

Reponse
=======
{  
   "count":3,
   "sensors":[  
      {  
         "uuid":"A12311231-4FA2-4E98-8024-BC5B71E0893E",
         "major_version":"2",
         "minor_version":"101",
         "account_id":"2131231-5dd7-4df4-b8c7-9b4aa43f10b4",
         "location":[  
            "45.5585653162083",
            " -122.65643119812"
         ],
         "tags":[  
            "alberta", "handbags"
         ],
         "metadata":{
            "detail":{  
               "description":"Basement Kontakt"
            }
         }
      },
      {  
         "uuid":"A12311231-CF6D-4A0F-ADF2-F4911BA9FFA6",
         "major_version":"1",
         "minor_version":"10010",
         "account_id":"2131231-5dd7-4df4-b8c7-9b4aa43f10b4",
         "location":[  
            "45.529526",
            " -122.68441"
         ],
         "tags":[  
            "daily_deal",
            "handbags",
            "shoes"
         ],
         "metadata":{  
            "diagnostic":{  
               "rssi":"-61"
            },
            "detail":{  
               "description":""
            }
         }
      },
      {  
         "uuid":"A213DASS-F5F8-466E-AFF9-25556B57FE6D",
         "major_version":"18298",
         "minor_version":"41723",
         "account_id":"2131231-5dd7-4df4-b8c7-9b4aa43f10b4",
         "location":[  
            "45.538727",
            " -122.636322"
         ],
         "tags":[
            "handbags"
         ],
         "metadata":{  
            "diagnostic":{  
               "rssi":"-83"
            },
            "detail":{  
               "description":"Handbags counter"
            }
         }
      }
   ]
}
  • Sensors within a radius of 1000m of a geo location.
curl -X GET --user "application_id:application_secret" -H "Accept: application/json"  https://api.lumenpath.com//api/sensor/list/?latitudy=45.55856\&longitude=-122.65643\&radius=1000

Reponse
=======
{  
   "count":3,
   "sensors":[  
      {  
         "uuid":"A12311231-4FA2-4E98-8024-BC5B71E0893E",
         "major_version":"2",
         "minor_version":"101",
         "account_id":"2131231-5dd7-4df4-b8c7-9b4aa43f10b4",
         "location":[  
            "45.5585653162083",
            " -122.65643119812"
         ],
         "tags":[  
            "alberta", "handbags"
         ],
         "metadata":{
            "detail":{  
               "description":"Basement Kontakt"
            }
         }
      },
      {  
         "uuid":"A12311231-CF6D-4A0F-ADF2-F4911BA9FFA6",
         "major_version":"1",
         "minor_version":"10010",
         "account_id":"2131231-5dd7-4df4-b8c7-9b4aa43f10b4",
         "location":[  
            "45.529526",
            " -122.68441"
         ],
         "tags":[  
            "daily_deal",
            "handbags",
            "shoes"
         ],
         "metadata":{  
            "diagnostic":{  
               "rssi":"-61"
            },
            "detail":{  
               "description":""
            }
         }
      },
      {  
         "uuid":"A213DASS-F5F8-466E-AFF9-25556B57FE6D",
         "major_version":"18298",
         "minor_version":"41723",
         "account_id":"2131231-5dd7-4df4-b8c7-9b4aa43f10b4",
         "location":[  
            "45.538727",
            " -122.636322"
         ],
         "tags":[
            "handbags"
         ],
         "metadata":{  
            "diagnostic":{  
               "rssi":"-83"
            },
            "detail":{  
               "description":"Handbags counter"
            }
         }
      }
   ]
}
Query Params
tag
array of strings

One or more tags

tag
string

City

string

State

string

Postal Code

string

radius in meters

double

latitude

double

longitude

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Choose an example:
application/json